﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_constraint.sql **/
 EXEC P_ALTERPK 'PK_HCDM_ADJSALADMCFG', 'T_HCDM_ADJSALADMCFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_ADJSALADMCFG') CREATE INDEX IDX_HCDM_ADJSALADMCFG ON T_HCDM_ADJSALADMCFG ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCDM_ADJSALADMCFG_L', 'T_HCDM_ADJSALADMCFG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_ADJSALADMCFG_L') CREATE INDEX IDX_HCDM_ADJSALADMCFG_L ON T_HCDM_ADJSALADMCFG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_AXISDATACFG', 'T_HCDM_AXISDATACFG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_AXISDATACFG') CREATE INDEX IDX_HCDM_AXISDATACFG ON T_HCDM_AXISDATACFG ( FADJSALAUXDCSNCFGID );


 EXEC P_ALTERPK 'PK_HCDM_AXISDATACFGENT', 'T_HCDM_AXISDATACFGENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_AXISDATACFGENT') CREATE INDEX IDX_HCDM_AXISDATACFGENT ON T_HCDM_AXISDATACFGENT ( FID );


 EXEC P_ALTERPK 'PK_HCDM_AXISDATACFGVAL', 'T_HCDM_AXISDATACFGVAL', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_AXISDATACFGVAL') CREATE INDEX IDX_HCDM_AXISDATACFGVAL ON T_HCDM_AXISDATACFGVAL ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_HCDM_BIZDATA', 'T_HCDM_BIZDATA', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZDATA') CREATE INDEX IDX_HCDM_BIZDATA ON T_HCDM_BIZDATA ( FPERSONID );


 EXEC P_ALTERPK 'PK_HCDM_BIZDATA_L', 'T_HCDM_BIZDATA_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZDATA_L') CREATE INDEX IDX_HCDM_BIZDATA_L ON T_HCDM_BIZDATA_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_BIZDATASOURCE', 'T_HCDM_BIZDATASOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZDATASOURCE') CREATE INDEX IDX_HCDM_BIZDATASOURCE ON T_HCDM_BIZDATASOURCE ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCDM_BIZDATASOURCE_L', 'T_HCDM_BIZDATASOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZDATASOURCE_L') CREATE INDEX IDX_HCDM_BIZDATASOURCE_L ON T_HCDM_BIZDATASOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_BIZITEM', 'T_HCDM_BIZITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZITEM') CREATE INDEX IDX_HCDM_BIZITEM ON T_HCDM_BIZITEM ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCDM_BIZITEM_L', 'T_HCDM_BIZITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZITEM_L') CREATE INDEX IDX_HCDM_BIZITEM_L ON T_HCDM_BIZITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_BIZITEMCATEGORY', 'T_HCDM_BIZITEMCATEGORY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZITEMCATEGORY') CREATE INDEX IDX_HCDM_BIZITEMCATEGORY ON T_HCDM_BIZITEMCATEGORY ( FNUMBER );


 EXEC P_ALTERPK 'PK_HCDM_BIZITEMCATEGORY_L', 'T_HCDM_BIZITEMCATEGORY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZITEMCATEGORY_L') CREATE INDEX IDX_HCDM_BIZITEMCATEGORY_L ON T_HCDM_BIZITEMCATEGORY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_HCDM_BIZITEMENT', 'T_HCDM_BIZITEMENT', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_HCDM_BIZITEMENT') CREATE INDEX IDX_HCDM_BIZITEMENT ON T_HCDM_BIZITEMENT ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_constraint.sql **/
