﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJSALSYNFIELDENT')
 CREATE TABLE T_HCDM_ADJSALSYNFIELDENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYADJFIELDID BIGINT DEFAULT 0 NOT NULL,
FBIZITEMPROPID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJFIELD')
 CREATE TABLE T_HCDM_SALARYADJFIELD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJFIELD_L')
 CREATE TABLE T_HCDM_SALARYADJFIELD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJFIELDGRP')
 CREATE TABLE T_HCDM_SALARYADJFIELDGRP (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJFIELDGRP_L')
 CREATE TABLE T_HCDM_SALARYADJFIELDGRP_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FADJSALARYSYNSETID')
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FADJSALARYSYNSETID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSYNCSTRATEGY') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSYNCSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FCOUNTRYID') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FCOUNTRYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FORGID') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FORGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSALARYADJEVENTID') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSALARYADJEVENTID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSRCBILL') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSRCBILL NVARCHAR(100) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSRCBILLID') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FDATASOURCE') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FCREATETIME') 
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSYNTYPES')
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSYNTYPES VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FSYNCSCHEDULEID')
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FSYNCSCHEDULEID VARCHAR(36) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_HCDM_ADJSALSYN', 'FSYNCSCHEDULEID', 'VARCHAR(36)', 'NOT NULL', '1111',  ''' ''';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FMODIFIERID')
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FMODIFIERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYN' AND KSQL_COL_NAME ='FCREATORID')
 ALTER TABLE T_HCDM_ADJSALSYN ADD (FCREATORID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FFIELDMAPPINGVALUE')
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FFIELDMAPPINGVALUE NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FEMPLOYEEID') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FPERSONID') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FPERSONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FJOBID') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FJOBID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FPOSITIONID') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FPOSITIONID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FSYNTYPE') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FSYNTYPE VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FSALARYADJRECORDID') 
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FSALARYADJRECORDID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FDECADJRELPERSONID')
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FDECADJRELPERSONID BIGINT DEFAULT 0 NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNTMPLSET' AND KSQL_COL_NAME ='FSYNCSTRATEGY')
 ALTER TABLE T_HCDM_ADJSALSYNTMPLSET ADD (FSYNCSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL' AND KSQL_COL_NAME ='FSALARYADJRECORDBOID')
 ALTER TABLE T_HCDM_ADJSALSYNDETAIL ADD (FSALARYADJRECORDBOID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJSALSYNTMPLSET' AND KSQL_COL_NAME ='FSYNCSCHEDULEID')
 ALTER TABLE T_HCDM_ADJSALSYNTMPLSET ADD (FSYNCSCHEDULEID VARCHAR(36) DEFAULT ' ' NOT NULL );
EXEC p_AlterColumn 'T_HCDM_ADJSALSYNTMPLSET', 'FSYNCSCHEDULEID', 'VARCHAR(36)', 'NOT NULL', '1111',  ''' ''';

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
