﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CANDSETSALAPPL') 
 CREATE TABLE T_HCDM_CANDSETSALAPPL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(60) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FBARCODE VARCHAR(60) DEFAULT ' ' NOT NULL,
FINPUTDEVICETYPE VARCHAR(100) DEFAULT ' ' NOT NULL,
FISEXISTSWORKFLOW CHAR(1) DEFAULT '0' NOT NULL,
FAUDITSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FEVENTEFFECTDATE DATETIME,
FISSUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FADJFIELDCFGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FSALARYADJRSNID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCANDSETSALACTID BIGINT DEFAULT 0 NOT NULL,
FISDRAFT CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CANDSETSALPERSON') 
 CREATE TABLE T_HCDM_CANDSETSALPERSON (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYADJFILEID BIGINT DEFAULT 0 NOT NULL,
FCANDIDATEID BIGINT DEFAULT 0 NOT NULL,
FONBRDINFOID BIGINT DEFAULT 0 NOT NULL,
FAVATAR VARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FESCROWSTAFF CHAR(1) DEFAULT '0' NOT NULL,
FSALARYSTRUCTUREID BIGINT DEFAULT 0 NOT NULL,
FOFFERCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSTDSCMVID BIGINT DEFAULT 0 NOT NULL,
FSETSALARYEFFDT DATETIME,
FRECRUITTYPEID BIGINT DEFAULT 0 NOT NULL,
FSYNCHSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CANDSETSALPERSON_A') 
 CREATE TABLE T_HCDM_CANDSETSALPERSON_A (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPERCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FAPOSITIONTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPECLSID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FPROBATIONTIME INT DEFAULT 0 NOT NULL,
FPERPROBATIONTIME VARCHAR(2) DEFAULT ' ' NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FGRADUATESCHOOLID BIGINT DEFAULT 0 NOT NULL,
FMAJOR VARCHAR(255) DEFAULT ' ' NOT NULL,
FEDUCATIONID BIGINT DEFAULT 0 NOT NULL,
FOCPQUALID BIGINT DEFAULT 0 NOT NULL,
FPOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEMPLOYEENO VARCHAR(255) DEFAULT ' ' NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FAGREEDLOCATIONID BIGINT DEFAULT 0 NOT NULL,
FBASELOCATIONID BIGINT DEFAULT 0 NOT NULL,
FISPROBATION CHAR(1) DEFAULT '0' NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CANDSETSALPERSON_L') 
 CREATE TABLE T_HCDM_CANDSETSALPERSON_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CANDSETSALSCHTYPE') 
 CREATE TABLE T_HCDM_CANDSETSALSCHTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_PERSETSALREC') 
 CREATE TABLE T_HCDM_PERSETSALREC (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTANDARDITEMID BIGINT DEFAULT 0 NOT NULL,
FGRADEID BIGINT DEFAULT 0 NOT NULL,
FRANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERSTANDARDTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSALARYPERCENT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FSALARYSEEPRATE DECIMAL(19,6) DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSEND VARCHAR(2) DEFAULT ' ' NOT NULL,
FITEMBSED DATETIME,
FITEMBSLED DATETIME,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDVID BIGINT DEFAULT 0 NOT NULL,
FCOEFFICIENTVID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_PERSETSALREC_L') 
 CREATE TABLE T_HCDM_PERSETSALREC_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);







/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
