﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJFILEITEMREL') 
 CREATE TABLE T_HCDM_ADJFILEITEMREL (
FID BIGINT DEFAULT 0 NOT NULL,
FADJFILEID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDITEMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DETAILDISPLAY') 
 CREATE TABLE T_HCDM_DETAILDISPLAY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FSCHEMEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDEFAULTSCHEME VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHARESCHEME VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DETAILDISPLAY_L') 
 CREATE TABLE T_HCDM_DETAILDISPLAY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEMEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SUMMARYDISPLAY') 
 CREATE TABLE T_HCDM_SUMMARYDISPLAY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FSCHEMEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDEFAULTSCHEME VARCHAR(2) DEFAULT ' ' NOT NULL,
FSHARESCHEME VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SUMMARYDISPLAY_L') 
 CREATE TABLE T_HCDM_SUMMARYDISPLAY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSCHEMEDESC NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_DECIDESALENT' AND KSQL_COL_NAME ='FGRADENAME') 
 ALTER TABLE T_HCDM_DECIDESALENT ADD (FGRADENAME NVARCHAR(60) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_DECIDESALENT' AND KSQL_COL_NAME ='FRANKNAME') 
 ALTER TABLE T_HCDM_DECIDESALENT ADD (FRANKNAME NVARCHAR(60) DEFAULT ' ' NOT NULL );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DETAILDISPLAYENT') 
 CREATE TABLE T_HCDM_DETAILDISPLAYENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECONDARYHEADER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFREEZE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOLUMNWIDTH INT DEFAULT 0 NOT NULL,
FALIGNMENT VARCHAR(10) DEFAULT ' ' NOT NULL,
FSORT VARCHAR(10) DEFAULT ' ' NOT NULL,
FISDEFAULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FSORTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDALIAS VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SUMMARYDISPLAYENT') 
 CREATE TABLE T_HCDM_SUMMARYDISPLAYENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDVALUE VARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPLAYNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSECONDARYHEADER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFREEZE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOLUMNWIDTH INT DEFAULT 0 NOT NULL,
FALIGNMENT VARCHAR(10) DEFAULT ' ' NOT NULL,
FSORT VARCHAR(10) DEFAULT ' ' NOT NULL,
FISDEFAULT VARCHAR(10) DEFAULT ' ' NOT NULL,
FSORTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FFIELDALIAS VARCHAR(100) DEFAULT ' ' NOT NULL,
FISDIMENSION VARCHAR(10) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
