IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJSALSYN') 
 CREATE TABLE T_HCDM_ADJSALSYN (
FID BIGINT DEFAULT 0 NOT NULL,
FBATCHNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FFAILNUM INT DEFAULT 0 NOT NULL,
FTOTALNUM INT DEFAULT 0 NOT NULL,
FSUCCESSNUM INT DEFAULT 0 NOT NULL,
FSYNTIME DATETIME,
FSYNSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FERRORMSG VARCHAR(255) DEFAULT ' ' NOT NULL,
FSYNTIMES INT DEFAULT 0 NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FNEEDREPUSH VARCHAR(10) DEFAULT ' ' NOT NULL,
FNEXTPUSHTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJSALSYNTIMES') 
 CREATE TABLE T_HCDM_ADJSALSYNTIMES (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSUCCESSNUM INT DEFAULT 0 NOT NULL,
FFAILNUM INT DEFAULT 0 NOT NULL,
FOPERATOR VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYSYNTIME DATETIME,
FTOTALNUM INT DEFAULT 0 NOT NULL,
FENTRYERRORMSG VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJSALSYNDETAIL') 
 CREATE TABLE T_HCDM_ADJSALSYNDETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FADJFILEID BIGINT DEFAULT 0 NOT NULL,
FADJSALARYSYNSETID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDITEMID BIGINT DEFAULT 0 NOT NULL,
FBIZITEMID BIGINT DEFAULT 0 NOT NULL,
FADJSALSYNID BIGINT DEFAULT 0 NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FERRORMSG VARCHAR(10) DEFAULT ' ' NOT NULL,
FDECIDESALARYVID BIGINT DEFAULT 0 NOT NULL,
FDADJSALARYVID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATACODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBATCHNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT_ENP DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FENDTIME DATETIME
);