﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTDATA') 
 CREATE TABLE T_HCDM_CONTRASTDATA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTRASTIDENTITY BIGINT DEFAULT 0 NOT NULL,
FCONTRASTPARENTIDENTITY BIGINT DEFAULT 0 NOT NULL,
FCONTRASTPROPCONFID BIGINT DEFAULT 0 NOT NULL,
FCONTRASTPROPVALUE BIGINT DEFAULT 0 NOT NULL,
FROWINDEX INT DEFAULT 0 NOT NULL,
FSUBINDEX INT DEFAULT 0 NOT NULL,
FCONTRASTPROPLABEL VARCHAR(30) DEFAULT 'Standard' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTPROPCONF') 
 CREATE TABLE T_HCDM_CONTRASTPROPCONF (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FENTITYOBJECTID VARCHAR(60) DEFAULT ' ' NOT NULL,
FCATEGORY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERYFIELDS VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTPROPCONF_L') 
 CREATE TABLE T_HCDM_CONTRASTPROPCONF_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_CONTRASTPS') 
 CREATE TABLE T_HCDM_CONTRASTPS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPSCONTRASTPROPCONFID BIGINT DEFAULT 0 NOT NULL,
FPSPROPINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_INTERVALPS') 
 CREATE TABLE T_HCDM_INTERVALPS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FINTERVALPSNAME NVARCHAR(20) DEFAULT ' ' NOT NULL,
FINTERVALPSDISPLAYNAME NVARCHAR(20) DEFAULT ' ' NOT NULL,
FINTERVALPSINDEX INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYGRADE') 
 CREATE TABLE T_HCDM_SALARYGRADE (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FGRADEIDENTITY BIGINT DEFAULT 0 NOT NULL,
FGRADEINDEX INT DEFAULT 0 NOT NULL,
FGRADENAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYRANK') 
 CREATE TABLE T_HCDM_SALARYRANK (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRANKIDENTITY BIGINT DEFAULT 0 NOT NULL,
FRANKINDEX INT DEFAULT 0 NOT NULL,
FRANKNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRANKLABEL VARCHAR(30) DEFAULT 'Standard' NOT NULL,
FRANKISUSERSET CHAR(1) DEFAULT '0' NOT NULL,
FRANKISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYSTD_L') 
 CREATE TABLE T_HCDM_SALARYSTD_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYSTD') 
 CREATE TABLE T_HCDM_SALARYSTD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'A' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT ' ' NOT NULL,
FGENERALENNAME VARCHAR(100) DEFAULT ' ' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(2) DEFAULT 'A' NOT NULL,
FISUSESALARYCOUNT CHAR(1) DEFAULT '0' NOT NULL,
FSALARYCOUNTAMOUNT DECIMAL(19,6) DEFAULT 0 NOT NULL,
FMONETARYUNIT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FISUSESALARYRANK CHAR(1) DEFAULT '0' NOT NULL,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETESETTINGNODE INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYSTDDATA') 
 CREATE TABLE T_HCDM_SALARYSTDDATA (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYSTDITEMID BIGINT DEFAULT 0 NOT NULL,
FSALARYRANKID BIGINT DEFAULT 0 NOT NULL,
FSALARYGRADEID BIGINT DEFAULT 0 NOT NULL,
FSALARYCOUNT DECIMAL(19,6) DEFAULT 0.0 NOT NULL,
FMIN DECIMAL(19,6) DEFAULT 0.0 NOT NULL,
FMIDDLE DECIMAL(19,6) DEFAULT 0.0 NOT NULL,
FMAX DECIMAL(19,6) DEFAULT 0.0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYSTDITEM') 
 CREATE TABLE T_HCDM_SALARYSTDITEM (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMIDENTITY BIGINT DEFAULT 0 NOT NULL,
FITEMINDEX INT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDTYPE VARCHAR(2) DEFAULT 'A' NOT NULL,
FITEMLABEL VARCHAR(30) DEFAULT 'Standard' NOT NULL,
FITEMISUSESALARYRANK CHAR(1) DEFAULT '0' NOT NULL,
FITEMISUSESALARYCOUNT CHAR(1) DEFAULT '0' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
