﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJFILEINFO') 
 CREATE TABLE T_HCDM_ADJFILEINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FDEPEMPID BIGINT DEFAULT 0 NOT NULL,
FEMPPOSORGRELID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FSTDSCMID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FISPRIMARY CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJFILEINFO_L') 
 CREATE TABLE T_HCDM_ADJFILEINFO_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DECIDESALARY') 
 CREATE TABLE T_HCDM_DECIDESALARY (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FENABLE VARCHAR(2) DEFAULT '1' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT 'C' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FISMODIFY CHAR(1) DEFAULT ' ' NOT NULL,
FSALARYADJFILEID BIGINT DEFAULT 0 NOT NULL,
FSALARYADJTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTDSCMHISID BIGINT DEFAULT 0 NOT NULL,
FCOEFFICIENTID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FGRADERANKRANGE VARCHAR(2000) DEFAULT ' ' NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FGRADEID BIGINT DEFAULT 0 NOT NULL,
FRANKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DECIDESALENT') 
 CREATE TABLE T_HCDM_DECIDESALENT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSALARYITEMID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTDITEM BIGINT DEFAULT 0 NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FDATASOURCE VARCHAR(2) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_PROPQRROUTECFG') 
 CREATE TABLE T_HCDM_PROPQRROUTECFG (
FID BIGINT DEFAULT 0 NOT NULL,
FNODEID INT DEFAULT 0 NOT NULL,
FCONTRASTPROPCONFID BIGINT DEFAULT 0 NOT NULL,
FENTITY VARCHAR(50) DEFAULT ' ' NOT NULL,
FQUERYMETHOD VARCHAR(2) DEFAULT ' ' NOT NULL,
FQUERYFIELD VARCHAR(200) DEFAULT ' ' NOT NULL,
FQUERYCONDITION VARCHAR(200) DEFAULT ' ' NOT NULL,
FQUERYPARAMSOURCE VARCHAR(200) DEFAULT ' ' NOT NULL,
FBUSINESSMODULE VARCHAR(2) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
